<?php
namespace Claromentis\Core\Twig\Events;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_f73dab606630b388645c4f" . "7d3fbb13bb" => base64_decode("YXJyYXlfbWV" . "yZ2U="));
use Claromentis\Core\Event\Event;




class TwigPreRenderEvent extends Event
{
    
    
    
    
    
    
    protected $template;
    
    
    
    
    
    
    protected $arguments;
    
    
    
    
    
    
    
    public function __construct(string $template, array $arguments = [])
    {
        $this->template = $template;
        $this->arguments = $arguments;
    }
    
    
    
    
    
    
    public function getTemplate() : string
    {
        return $this->template;
    }
    
    
    
    
    
    
    public function setTemplate(string $template) : void
    {
        $this->template = $template;
    }
    
    
    
    
    
    
    public function getArguments() : array
    {
        return $this->arguments;
    }
    
    
    
    
    
    
    
    
    public function setArguments(array $arguments) : void
    {
        $this->arguments = $arguments;
    }
    
    
    
    
    
    
    
    
    public function addArguments(array $arguments) : void
    {
        $this->arguments = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_f73dab606630b388645c4f" . "7d3fbb13bb"]($this->arguments, $arguments);
    }
}